Class FollowArtistsOrUsersRequest.Builder
java.lang.Object
se.michaelthelin.spotify.requests.AbstractRequest.Builder<String, FollowArtistsOrUsersRequest.Builder>
se.michaelthelin.spotify.requests.data.AbstractDataRequest.Builder<String, FollowArtistsOrUsersRequest.Builder>
se.michaelthelin.spotify.requests.data.users.FollowArtistsOrUsersRequest.Builder
- All Implemented Interfaces:
IRequest.Builder<String, FollowArtistsOrUsersRequest.Builder>
- Enclosing class:
FollowArtistsOrUsersRequest
public static final class FollowArtistsOrUsersRequest.Builder
extends AbstractDataRequest.Builder<String, FollowArtistsOrUsersRequest.Builder>
Builder class for building a
FollowArtistsOrUsersRequest.-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionbuild()The request build method.ids(com.google.gson.JsonArray ids) The user or artist IDs setter.The user or artist IDs setter.protected FollowArtistsOrUsersRequest.Builderself()Return this instance to simulate a self-type.type(ModelObjectType type) The type setter.Methods inherited from class AbstractRequest.Builder
setBody, setBodyParameter, setContentType, setDefaults, setHeader, setHost, setHttpManager, setPath, setPathParameter, setPort, setQueryParameter, setSchemeModifier and TypeMethodDescriptionsetBody(org.apache.hc.core5.http.HttpEntity httpEntity) Set the body for the request.setBodyParameter(String name, X value) Set a body parameter for the request.setContentType(org.apache.hc.core5.http.ContentType contentType) Set the content type for the request.setDefaults(IHttpManager httpManager, String scheme, String host, Integer port) Set default values for the request.Set a header for the request.Set the host for the request.setHttpManager(IHttpManager httpManager) Set the HTTP manager for the request.Set the path for the request.setPathParameter(String name, String value) Set a path parameter for the request.Set the port for the request.setQueryParameter(String name, X value) Set a query parameter for the request.Set the scheme for the request.
-
Constructor Details
-
Builder
Create a newFollowArtistsOrUsersRequest.Modifying the list of artists or users the current user follows requires authorization of the
user-follow-modify scope.- Parameters:
accessToken- Required. A valid access token from the Spotify Accounts service.- See Also:
-
-
Method Details
-
type
The type setter.- Parameters:
type- Required. The ID type: either artist or user.- Returns:
- A
FollowArtistsOrUsersRequest.Builder.
-
ids
The user or artist IDs setter.- Parameters:
ids- Optional. A comma-separated list of the artist or the user Spotify IDs. A maximum of 50 IDs can be sent in one request.- Returns:
- A
FollowArtistsOrUsersRequest.Builder. - See Also:
-
ids
The user or artist IDs setter.- Parameters:
ids- Optional. A json array of the artist or the user Spotify IDs. A maximum of 50 IDs can be sent in one request.- Returns:
- A
FollowArtistsOrUsersRequest.Builder. - See Also:
-
build
The request build method.- Returns:
- A custom
FollowArtistsOrUsersRequest.
-
self
Description copied from class:AbstractRequest.BuilderReturn this instance to simulate a self-type.- Specified by:
selfin classAbstractRequest.Builder<String, FollowArtistsOrUsersRequest.Builder>- Returns:
- This instance.
-